Bug 271013 - Particular text is displaying with bigger size than the actual size.
Summary: Particular text is displaying with bigger size than the actual size.
Status: VERIFIED FIXED
Alias: None
Product: calligrastage
Classification: Applications
Component: filter/ppt (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-15 08:37 UTC by swathi
Modified: 2011-05-04 16:25 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot in MS Powerpoint (73.16 KB, image/x-png)
2011-04-15 08:39 UTC, swathi
Details
Screenshot in Calligra Stage (145.66 KB, image/x-png)
2011-04-15 09:08 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-04-15 08:37:40 UTC
Version: git text-layoutrestructure-boemann branch
         (Using KDE 4.5.5)                
     OS: Kubuntu 10.10

Test data is available in the below link.
http://capart.nic.in/misc/annex/Presentation%20Sub%20Group%20-%20II.ppt
Open the same document in calligra stage and go to the 15th slide.
Observe the size of the text “Click here to view link Slide”

Expected outcome:
The text should be displayed with correct size as like in the MS PowerPoint 2003 file.
Actual outcome:
Text is displaying with bigger size than the actual size.
Please check the screenshots attached.	
Frequency:
Always.
Comment 1 swathi 2011-04-15 08:39:18 UTC
Created attachment 58992 [details]
Screenshot in MS Powerpoint
Comment 2 swathi 2011-04-15 09:08:44 UTC
Created attachment 58993 [details]
Screenshot in Calligra Stage
Comment 3 Camilla Boemann 2011-04-18 21:41:30 UTC
No text layout regression here - just filter not good enough
Comment 4 Matus Uzak 2011-04-29 19:56:10 UTC
Git commit 9749c5718bfc94bde27b395e1dcca355e4a65383 by Matus Uzak.
Committed on 29/04/2011 at 20:05.
Pushed by uzak into branch 'master'.

PPT: Updated application of character styles.

BUG:271013

M  +12   -4    filters/kpresenter/powerpoint/PptToOdp.cpp     
M  +10   -6    filters/kpresenter/powerpoint/pptstyle.cpp     
M  +2    -1    filters/kpresenter/powerpoint/pptstyle.h     

http://commits.kde.org/calligra/9749c5718bfc94bde27b395e1dcca355e4a65383
Comment 5 swathi 2011-05-04 16:25:48 UTC
Verified in df1a8d36dcc689caecf341f3d4dfd9632cadaaf9.
But text should be displayed in blue color.